Share via


Notification Channels - List

List notification channels in a given lab.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15&$expand={$expand}&$filter={$filter}&$top={$top}&$orderby={$orderby}

URI Parameters

Name In Required Type Description
labName
path True

string

The name of the lab.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$expand
query

string

Specify the $expand query. Example: 'properties($select=webHookUrl)'

$filter
query

string

The filter to apply to the operation. Example: '$filter=contains(name,'myName')

$orderby
query

string

The ordering expression for the results, using OData notation. Example: '$orderby=name desc'

$top
query

integer (int32)

The maximum number of resources to return from the operation. Example: '$top=10'

Responses

Name Type Description
200 OK

NotificationChannelList

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

NotificationChannels_List

Sample request

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationchannels?api-version=2018-09-15

Sample response

{
  "value": [
    {
      "name": "autoshutdown",
      "type": "Microsoft.DevTestLab/labs/notificationChannels",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
      "location": "{location}",
      "properties": {
        "description": "Integration configured for auto-shutdown",
        "createdDate": "2021-01-05T02:12:10.6566371+00:00",
        "emailRecipient": "{email}",
        "events": [
          {
            "eventName": "AutoShutdown"
          }
        ],
        "notificationLocale": "en",
        "provisioningState": "Succeeded",
        "uniqueIdentifier": "{uniqueIdentifier}",
        "webHookUrl": "{webhookUrl}"
      },
      "tags": {
        "tagName1": "tagValue1"
      }
    },
    {
      "name": "costThreshold",
      "type": "Microsoft.DevTestLab/labs/notificationChannels",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/notificationChannels/{notificationChannelName}",
      "location": "{location}",
      "properties": {
        "description": "Integration configured for cost",
        "createdDate": "2021-01-05T02:14:05.2392034+00:00",
        "events": [
          {
            "eventName": "Cost"
          }
        ],
        "notificationLocale": "en",
        "provisioningState": "Succeeded",
        "uniqueIdentifier": "{uniqueIdentifier}",
        "webHookUrl": "{webhookUrl}"
      },
      "tags": {
        "tagName1": "tagValue1"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Event

An event to be notified for.

NotificationChannel

A notification.

NotificationChannelEventType

The event type for which this notification is enabled (i.e. AutoShutdown, Cost)

NotificationChannelList

The response of a list operation.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Event

An event to be notified for.

Name Type Description
eventName

NotificationChannelEventType

The event type for which this notification is enabled (i.e. AutoShutdown, Cost)

NotificationChannel

A notification.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.createdDate

string (date-time)

The creation date of the notification channel.

properties.description

string

Description of notification.

properties.emailRecipient

string

The email recipient to send notifications to (can be a list of semi-colon separated email addresses).

properties.events

Event[]

The list of event for which this notification is enabled.

properties.notificationLocale

string

The locale to use when sending a notification (fallback for unsupported languages is EN).

properties.provisioningState

string

The provisioning status of the resource.

properties.uniqueIdentifier

string

The unique immutable identifier of a resource (Guid).

properties.webHookUrl

string

The webhook URL to send notifications to.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

NotificationChannelEventType

The event type for which this notification is enabled (i.e. AutoShutdown, Cost)

Value Description
AutoShutdown
Cost

NotificationChannelList

The response of a list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

NotificationChannel[]

The NotificationChannel items on this page

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.